=== modified file 'NEWS'
--- NEWS	2005-04-28 08:50:42 +0000
+++ NEWS	2005-04-28 09:03:12 +0000
@@ -7,9 +7,10 @@
 
   TESTING:
 
-    * Converted black-box test suites from Bourne shell into Python. 
-
-
+    * Converted black-box test suites from Bourne shell into Python.
+      Various structural improvements to the tests.
+
+
 bzr-0.0.4  2005-04-22
 
   ENHANCEMENTS:

=== modified file 'testbzr'
--- testbzr	2005-04-28 08:50:42 +0000
+++ testbzr	2005-04-28 09:03:12 +0000
@@ -48,6 +48,7 @@
     
     if isinstance(cmd, basestring):
         cmd = cmd.split()
+    log_linenumber()
     logfile.write('$ %r\n' % cmd)
     retcode = call(cmd, stdout=logfile, stderr=logfile)
     if retcode != 0:
@@ -57,16 +58,23 @@
 def progress(msg):
     print '* ' + msg
     logfile.write('* '+ msg + '\n')
-
-
-TESTDIR = "bzr-test.tmp"
+    log_linenumber()
+
+
+def log_linenumber():
+    """Log the stack frame location two things up."""
+    stack = traceback.extract_stack()[-3]
+    logfile.write('   at %s:%d\n' % stack[:2])
+
+
+TESTDIR = "testbzr.tmp"
 
 # prepare an empty scratch directory
 if os.path.exists(TESTDIR):
     shutil.rmtree(TESTDIR)
 
 
-logfile = open('bzr-test.log', 'wt')
+logfile = open('testbzr.log', 'wt', buffering=1)
 
 
 try: 
@@ -77,7 +85,11 @@
     progress("testing introductory commands")
     runcmd("bzr version")
     runcmd("bzr help")
-    runcmd("bzr --helpx")
+    runcmd("bzr --help")
+
+    progress("testing user identity")
+    # this should always identify something, if only "john@localhost"
+    runcmd("bzr whoami")
 
     progress("all tests passed!")
 except Exception, e:

